import * as React from 'react';
import { BaseComponentProps } from '../../base/base-component-props';
export type WMessageDialogProps = BaseComponentProps & {
    open: boolean;
    title: string;
    text: string;
    icon?: 'error' | 'warning' | 'info' | 'success';
    buttons?: 'YesNo' | 'YesNoCancel' | 'Ok';
    onButtonClick?: (event: any, button: String) => void;
};
export declare const WMessageDialog: React.FC<WMessageDialogProps>;
