import * as React from 'react';
import { RadioGroupProps } from '@mui/material/RadioGroup';
import { BaseComponentProps } from '../../base/base-component-props';
export interface WRadioGroupOption {
    label: string;
    value: any;
    disabled?: boolean;
}
export type WRadioGroupProps = BaseComponentProps & RadioGroupProps & {
    axis?: 'horizontal' | 'vertical';
    label: string;
    options?: WRadioGroupOption[];
};
export declare const WRadioGroup: React.FC<WRadioGroupProps>;
export * from './w-radio';
