import * as React from 'react';
import { AccordionProps } from '@mui/material/Accordion';
import { BaseComponentProps } from '../../base/base-component-props';
import { WTheme } from '../../others/w-theme-provider/w-theme';
export type WExpansionPanelProps = BaseComponentProps & AccordionProps & {
    title: string;
    actions?: {
        text?: string;
        onClick?: (event: any) => void;
        custom?: React.ReactNode;
    }[];
    theme?: WTheme;
    classes?: any;
};
export declare const WExpansionPanel: React.FC<WExpansionPanelProps>;
