export declare const useStorage: (type?: 'local' | 'session') => {
    get: <T>(key: string, defaultValue?: T | undefined) => T | undefined;
    set: <T_1>(key: string, value: T_1) => Promise<void>;
    remove: (key: string) => Promise<void>;
};
