"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useTranslation = exports.TranslationContextProvider = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = require("react");
const defaultData = {};
const TranslationContextReact = (0, react_1.createContext)(defaultData);
const TranslationContextProvider = ({ children }) => {
    const value = (0, react_1.useMemo)(() => ({}), []);
    return ((0, jsx_runtime_1.jsx)(TranslationContextReact.Provider, Object.assign({ value: value }, { children: children })));
};
exports.TranslationContextProvider = TranslationContextProvider;
const useTranslation = () => (0, react_1.useContext)(TranslationContextReact);
exports.useTranslation = useTranslation;
