import * as React from 'react';
import { WDialogProps } from '../w-dialog';
import { BaseComponentProps } from '../../base/base-component-props';
export type WDialogAction = BaseComponentProps & {
    text: string;
    onClick: (event: any) => void;
};
export type WBasicDialogProps = BaseComponentProps & WDialogProps & {
    actions?: WDialogAction[];
    open: boolean;
    title?: string;
    children: React.ReactNode | React.ReactNode[];
};
export declare const WBasicDialog: React.FC<WBasicDialogProps>;
