"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WFormField = void 0;
const checkbox_1 = require("./checkbox");
const custom_1 = require("./custom");
const date_picker_1 = require("./date-picker");
const date_time_picker_1 = require("./date-time-picker");
const radio_group_1 = require("./radio-group");
const reset_1 = require("./reset");
const select_1 = require("./select");
const submit_1 = require("./submit");
const switch_1 = require("./switch");
const text_field_1 = require("./text-field");
const time_picker_1 = require("./time-picker");
exports.WFormField = {
    Checkbox: checkbox_1.Checkbox,
    Custom: custom_1.Custom,
    DatePicker: date_picker_1.DatePicker,
    DateTimePicker: date_time_picker_1.DateTimePicker,
    RadioGroup: radio_group_1.RadioGroup,
    Reset: reset_1.Reset,
    Select: select_1.Select,
    Submit: submit_1.Submit,
    Switch: switch_1.Switch,
    TextField: text_field_1.TextField,
    TimePicker: time_picker_1.TimePicker
};
