import * as React from 'react';
import { FormikHelpers, FormikErrors } from 'formik';
import * as Yup from 'yup';
import { BaseComponentProps } from '../../base/base-component-props';
export interface WFormActions extends FormikHelpers<any> {
}
export interface WFormErrors extends FormikErrors<any> {
}
export type WFormProps = BaseComponentProps & {
    initialValues: any;
    onSubmit: (values: any, formikActions?: WFormActions) => void;
    validationSchema?: any | (() => any);
    validate?: ((values: any) => void | object | Promise<WFormErrors>);
    enableReinitialize?: boolean;
    onChange?: (values: any) => void;
    formStyle?: React.CSSProperties;
    children: React.ReactNode;
};
export declare const WForm: React.FC<WFormProps>;
export { Yup as WFormValidation };
