"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __exportStar = (this && this.__exportStar) || function(m, exports) {
    for (var p in m) if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports, p)) __createBinding(exports, m, p);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.WRadioGroup = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const material_1 = require("@mui/material");
const w_radio_1 = require("./w-radio");
const w_typography_1 = require("../../others/w-typography");
exports.WRadioGroup = ((props) => {
    const { id = "", axis = "horizontal", label = "" } = props;
    let { children } = props;
    if (props.options) {
        children = props.options.map(option => (0, jsx_runtime_1.jsx)(w_radio_1.WRadio, Object.assign({}, option)));
    }
    const style = {
        flexDirection: axis == "horizontal" ? "row" : "column"
    };
    const labelStyle = {
        marginRight: 15,
        alignSelf: axis == "horizontal" ? "center" : "left"
    };
    return ((0, jsx_runtime_1.jsxs)(material_1.RadioGroup, Object.assign({}, props, { style: style }, { children: [(0, jsx_runtime_1.jsx)(w_typography_1.WTypography, Object.assign({ style: labelStyle }, { children: label })), children] })));
});
__exportStar(require("./w-radio"), exports);
