"use strict";
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const jsx_runtime_1 = require("react/jsx-runtime");
// @ts-ignore
const classnames_1 = __importDefault(require("classnames"));
const w_chip_1 = require("../../others/w-chip");
const w_icon_1 = require("../../medias/w-icon");
const w_menu_item_1 = require("../../lists/w-menu/w-menu-item");
const w_paper_1 = require("../../layouts/w-paper");
const w_typography_1 = require("../../others/w-typography");
const material_1 = require("@mui/material");
const react_select_1 = require("react-select");
const inputComponent = (_a) => {
    var { inputRef } = _a, props = __rest(_a, ["inputRef"]);
    return (0, jsx_runtime_1.jsx)("div", Object.assign({ ref: inputRef }, props));
};
const Control = (props) => (0, jsx_runtime_1.jsx)(material_1.TextField, Object.assign({ fullWidth: true, InputProps: {
        inputComponent,
        inputProps: Object.assign({ className: props.selectProps.classes.input, inputRef: props.innerRef, children: props.children }, props.innerProps),
    } }, props.selectProps.textFieldProps));
// Dialogun z-index'i 1300 olarak ayarlanmıs. Bunun da 1400 alarak üzerine cıkması lazım. 
const Menu = (props) => (0, jsx_runtime_1.jsx)(w_paper_1.WPaper, Object.assign({ square: true, className: props.selectProps.classes.paper }, props.innerProps, { elevation: 1 }, { children: props.children }));
const MultiValue = (props) => (0, jsx_runtime_1.jsx)(w_chip_1.WChip, { id: "", tabIndex: -1, label: props.children, className: (0, classnames_1.default)(props.selectProps.classes.chip, {
        [props.selectProps.classes.chipFocused]: props.isFocused,
    }), onDelete: props.removeProps.onClick, deleteIcon: (0, jsx_runtime_1.jsx)(w_icon_1.WIcon, Object.assign({}, props.removeProps, { children: "cancel" })) });
const NoOptionsMessage = (props) => (0, jsx_runtime_1.jsx)(w_typography_1.WTypography, Object.assign({ color: "textSecondary", className: props.selectProps.classes.noOptionsMessage }, props.innerProps, { children: props.children }));
const Option = (props) => (0, jsx_runtime_1.jsx)(w_menu_item_1.WMenuItem, Object.assign({ buttonRef: props.innerRef, selected: props.isSelected, component: "div" }, props.innerProps, { children: (0, jsx_runtime_1.jsxs)("div", Object.assign({ style: { display: 'flex' } }, { children: [props.data.icon && (0, jsx_runtime_1.jsx)("div", Object.assign({ style: { marginRight: 10 } }, { children: typeof props.data.icon === 'string' ? (0, jsx_runtime_1.jsx)(w_icon_1.WIcon, { color: "primary", icon: props.data.icon, iconSource: props.data.iconSource }) : props.data.icon })), (0, jsx_runtime_1.jsx)("div", Object.assign({ style: { flex: 1 } }, { children: props.data.label || props.data.value }))] })) }));
const Placeholder = (props) => (0, jsx_runtime_1.jsx)(w_typography_1.WTypography, Object.assign({ color: "textSecondary", className: props.selectProps.classes.placeholder }, props.innerProps, { children: props.children }));
const SingleValue = (props) => (0, jsx_runtime_1.jsxs)("div", Object.assign({ style: { display: 'flex' } }, { children: [props.data.icon && (0, jsx_runtime_1.jsx)("div", Object.assign({ style: { marginLeft: 10, marginRight: 10 } }, { children: typeof props.data.icon === 'string' ? (0, jsx_runtime_1.jsx)(w_icon_1.WIcon, { color: "primary", icon: props.data.icon, iconSource: props.data.iconSource }) : props.data.icon })), (0, jsx_runtime_1.jsx)(w_typography_1.WTypography, Object.assign({ className: props.selectProps.classes.singleValue }, props.innerProps, { style: { flex: 1, flexBasis: 'auto' } }, { children: props.data.label || props.data.value }))] }));
const ValueContainer = (props) => (0, jsx_runtime_1.jsx)("div", Object.assign({ className: props.selectProps.classes.valueContainer }, { children: props.children }));
const DropdownIndicator = (props) => (0, jsx_runtime_1.jsx)(react_select_1.components.DropdownIndicator, Object.assign({}, props, { children: (0, jsx_runtime_1.jsx)(w_icon_1.WIcon, Object.assign({ color: "disabled", style: { margin: '-20px !important' } }, { children: "expand_more" })) }));
const selectComponents = {
    Control,
    // DropdownIndicator,
    Menu,
    MultiValue,
    NoOptionsMessage,
    Option,
    Placeholder,
    SingleValue,
    ValueContainer,
};
exports.default = selectComponents;
