import { TextFieldProps } from '@mui/material/TextField';
import { BaseComponentProps } from '../../base/base-component-props';
import React, { FC } from 'react';
export type WTextFieldButton = BaseComponentProps & {
    icon: React.ReactNode;
    onClick(event: any, val: String): void;
};
export type WTextFieldProps = BaseComponentProps & TextFieldProps & {
    leftButtons?: WTextFieldButton[];
    rightButtons?: WTextFieldButton[];
};
export interface WTextFieldState {
    showPassword: boolean;
}
export declare const WTextField: FC<WTextFieldProps>;
