"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.WNestedPageLayout = exports.WNestedPageLayoutInner = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const material_1 = require("@mui/material");
const createStyles_1 = __importDefault(require("@mui/styles/createStyles"));
const withStyles_1 = __importDefault(require("@mui/styles/withStyles"));
const React = __importStar(require("react"));
const __1 = require("../../..");
class WNestedPageLayoutInner extends React.Component {
    constructor(props) {
        super(props);
        this.getTitle = (stackItem) => {
            let title = stackItem.item.title || stackItem.item.name;
            if (typeof title === "function") {
                title = title(stackItem.payload);
            }
            return title;
        };
        this.onStateChanged = () => {
            this.props.onStateChanged && this.props.onStateChanged(this.state);
        };
        //Benzeri w-carausel funtionda componentde burası ayrı bir component olablr çünkü state i görmüyır fucnt yapılığında
        this.renderComponent = (baseScreenProps) => {
            const last = this.state.stack[this.state.stack.length - 1];
            return (
            // @ts-ignore
            (0, jsx_runtime_1.jsx)(last.item.component
            // @ts-ignore
            , Object.assign({ 
                // @ts-ignore
                ref: last.ref, lastState: last.state }, baseScreenProps, { payload: last.payload, navigateTo: (name, payload) => {
                    var _a, _b;
                    last.state = last.ref && last.ref.current && last.ref.current.state;
                    const item = (_b = (_a = last === null || last === void 0 ? void 0 : last.item) === null || _a === void 0 ? void 0 : _a.subItems) === null || _b === void 0 ? void 0 : _b.find((a) => a.name === name);
                    this.setState({
                        stack: [
                            ...this.state.stack,
                            { item, payload, ref: React.createRef() },
                        ],
                    }, () => this.onStateChanged());
                }, goBack: () => {
                    const stack = [...this.state.stack];
                    stack.pop();
                    this.setState({ stack }, () => this.onStateChanged());
                } })));
        };
        this.state = props.state || {
            stack: [
                {
                    item: props.root,
                    payload: {},
                },
            ],
            anchorEl: null,
            openMenuIndex: -1,
        };
    }
    render() {
        return ((0, jsx_runtime_1.jsx)(__1.BaseScreenPropsContext.Consumer, { children: (baseScreenProps) => ((0, jsx_runtime_1.jsxs)("div", Object.assign({ className: this.props.classes.root }, { children: [this.state.stack.map((current, index) => {
                        var _a, _b, _c, _d, _e, _f, _g;
                        return ((0, jsx_runtime_1.jsxs)("div", Object.assign({ style: { display: "inline-block" } }, { children: [(0, jsx_runtime_1.jsxs)(__1.WButton, Object.assign({ id: (_a = current === null || current === void 0 ? void 0 : current.item) === null || _a === void 0 ? void 0 : _a.id, disabled: index === this.state.stack.length - 1, className: this.props.classes.button, sx: Object.assign({}, (_b = this.props.design) === null || _b === void 0 ? void 0 : _b.navigationButton), onClick: () => {
                                        let stack = [...this.state.stack];
                                        stack = stack.slice(0, index + 1);
                                        this.setState({ stack }, () => this.onStateChanged());
                                    } }, { children: [(_c = current === null || current === void 0 ? void 0 : current.item) === null || _c === void 0 ? void 0 : _c.icon, this.getTitle(current)] })), index !== this.state.stack.length - 1 && ((0, jsx_runtime_1.jsxs)(jsx_runtime_1.Fragment, { children: [(0, jsx_runtime_1.jsx)(__1.WIconButton, { id: ((_d = current === null || current === void 0 ? void 0 : current.item) === null || _d === void 0 ? void 0 : _d.id) + "-btn-menu", sx: Object.assign({}, (_e = this.props.design) === null || _e === void 0 ? void 0 : _e.navigationPopper), "aria-owns": this.state.anchorEl ? "simple-menu" : undefined, "aria-haspopup": "true", className: this.props.classes.iconButton, style: {
                                                transform: this.state.anchorEl &&
                                                    this.state.openMenuIndex === index
                                                    ? "rotate(90deg)"
                                                    : "none",
                                            }, color: "primary", icon: "chevron_right", disabled: (((_g = (_f = current === null || current === void 0 ? void 0 : current.item) === null || _f === void 0 ? void 0 : _f.subItems) === null || _g === void 0 ? void 0 : _g.length) || 0) < 2, onClick: (event) => this.setState({
                                                anchorEl: event.currentTarget,
                                                openMenuIndex: index,
                                            }, () => this.onStateChanged()) }), (0, jsx_runtime_1.jsx)(material_1.Popper, Object.assign({ className: this.props.classes.popper, open: this.state.anchorEl &&
                                                this.state.openMenuIndex === index, anchorEl: this.state.anchorEl, transition: true, disablePortal: true, placement: "bottom-start" }, { children: ({ TransitionProps, placement }) => {
                                                var _a, _b;
                                                return ((0, jsx_runtime_1.jsx)(material_1.Grow, Object.assign({}, TransitionProps, { style: {
                                                        transformOrigin: placement === "bottom"
                                                            ? "center left"
                                                            : "center left",
                                                    } }, { children: (0, jsx_runtime_1.jsx)(material_1.Paper, { children: (0, jsx_runtime_1.jsx)(material_1.ClickAwayListener, Object.assign({ onClickAway: (event) => this.setState({ anchorEl: null, openMenuIndex: -1 }, () => this.onStateChanged()) }, { children: (0, jsx_runtime_1.jsx)(material_1.MenuList, Object.assign({ dense: true }, { children: (_b = (_a = current === null || current === void 0 ? void 0 : current.item) === null || _a === void 0 ? void 0 : _a.subItems) === null || _b === void 0 ? void 0 : _b.map((item) => {
                                                                    var _a, _b;
                                                                    return ((0, jsx_runtime_1.jsx)(__1.WMenuItem, Object.assign({ id: item.id, dense: true, onClick: () => {
                                                                            var _a, _b;
                                                                            if (item.name ===
                                                                                ((_b = (_a = this.state.stack[index + 1]) === null || _a === void 0 ? void 0 : _a.item) === null || _b === void 0 ? void 0 : _b.name)) {
                                                                                this.setState({
                                                                                    anchorEl: null,
                                                                                    openMenuIndex: -1,
                                                                                }, () => this.onStateChanged());
                                                                                return;
                                                                            }
                                                                            let stack = [...this.state.stack];
                                                                            stack[index + 1] = {
                                                                                item,
                                                                                payload: stack[index + 1].payload,
                                                                                ref: React.createRef(),
                                                                            };
                                                                            stack = stack.slice(0, index + 1 + 1);
                                                                            this.setState({
                                                                                anchorEl: null,
                                                                                openMenuIndex: -1,
                                                                                stack,
                                                                            }, () => this.onStateChanged());
                                                                        }, selected: item.name ===
                                                                            ((_b = (_a = this.state.stack[index + 1]) === null || _a === void 0 ? void 0 : _a.item) === null || _b === void 0 ? void 0 : _b.name) }, { children: this.getTitle({
                                                                            item,
                                                                            payload: this.state.stack[index + 1]
                                                                                .payload,
                                                                        }) }), item.name));
                                                                }) })) })) }) })));
                                            } }))] }))] })));
                    }), this.renderComponent(baseScreenProps)] }))) }));
    }
}
exports.WNestedPageLayoutInner = WNestedPageLayoutInner;
const styles = (theme) => (0, createStyles_1.default)({
    root: {
        padding: theme.spacing(1),
    },
    button: {
        "&:disabled": {
            color: theme.palette.grey[600],
        },
    },
    iconButton: {
        transition: "all ease 300ms",
        padding: theme.spacing(0.5),
        "&:disabled": {
            color: theme.palette.grey[600],
        },
    },
    popper: {
        zIndex: theme.zIndex.tooltip,
    },
});
exports.WNestedPageLayout = (0, withStyles_1.default)(styles, {
    withTheme: true,
})((props) => (0, jsx_runtime_1.jsx)(WNestedPageLayoutInner, Object.assign({}, props)));
