"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __exportStar = (this && this.__exportStar) || function(m, exports) {
    for (var p in m) if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports, p)) __createBinding(exports, m, p);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.WTabContainer = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const react_1 = __importStar(require("react"));
const w_tabs_1 = require("../w-tabs");
const w_tab_1 = require("../w-tabs/w-tab");
exports.WTabContainer = react_1.default.forwardRef((props, ref) => {
    //DEFAULTPROPS
    const { indicatorColor = 'primary', children = null, textColor = 'primary', } = props;
    //USESTATE
    const [tabSelected, settabSelected] = (0, react_1.useState)(props.value ? props.value : (props.defaultValue || 0));
    const [title, setTitle] = (0, react_1.useState)(props.title);
    {
        let children;
        if (Array.isArray(props.children)) {
            // @ts-ignore
            const childrenArray = props.children.filter(a => a);
            if (tabSelected >= childrenArray.length) {
                // @ts-ignore
                children = childrenArray[childrenArray.length - 1].props.children;
            }
            else {
                // @ts-ignore
                children = childrenArray[tabSelected].props.children;
            }
        }
        else {
            children = props.children && props.children.props.children;
        }
    }
    const tabs = Array.isArray(props.children) ? props.children.filter(a => a).map((tab, index) => (0, jsx_runtime_1.jsx)(w_tab_1.WTab, Object.assign({}, tab.props))) :
        (0, jsx_runtime_1.jsx)(w_tab_1.WTab, Object.assign({}, props.children.props));
    return ((0, jsx_runtime_1.jsxs)(react_1.default.Fragment, { children: [title, props.title, (0, jsx_runtime_1.jsx)(w_tabs_1.WTabs, Object.assign({}, props, { ref: ref, value: tabSelected, onChange: (e, value) => {
                    settabSelected((value) => {
                        props.onChange && props.onChange(e, value);
                    });
                } }, { children: tabs })), (0, jsx_runtime_1.jsx)("span", { children: children }, tabSelected)] }));
});
__exportStar(require("./w-tab-page"), exports);
