import * as React from 'react';
import { IconProps } from '@mui/material/Icon';
import { WTheme } from '../../others/w-theme-provider/w-theme';
export interface WIconProps extends IconProps {
    icon?: string;
    iconSource?: 'material-icons' | 'fontawesome';
    iconSize?: 'small' | 'default' | 'large';
    /** @deprecated use iconSize instead */
    children?: string;
    theme?: WTheme;
    color?: any;
}
export declare const WIcon: React.FC<WIconProps>;
