"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __exportStar = (this && this.__exportStar) || function(m, exports) {
    for (var p in m) if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports, p)) __createBinding(exports, m, p);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.WThemeProvider = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const React = __importStar(require("react"));
const styles_1 = require("@mui/material/styles");
const colors_1 = require("@mui/material/colors");
const lodash_1 = require("lodash");
const defaultTheme = {
    palette: {
        type: 'light',
        error: {
            light: colors_1.red[300],
            main: colors_1.red[500],
            dark: colors_1.red[700],
            contrastText: '#fff'
        },
        info: {
            light: colors_1.blue[300],
            main: colors_1.blue[500],
            dark: colors_1.blue[700],
            contrastText: '#fff'
        },
        success: {
            light: colors_1.green[300],
            main: colors_1.green[500],
            dark: colors_1.green[700],
            contrastText: '#fff'
        },
        warning: {
            light: colors_1.orange[300],
            main: colors_1.orange[500],
            dark: colors_1.orange[700],
            contrastText: '#fff'
        },
        background: {
            default: '#e8eaf5',
            paper: '#FFFFFF'
        }
    },
    typography: {
        useNextVariants: true
    },
    designDetails: {
        defaultElevation: 0,
    },
    components: {
        MuiButton: {
            styleOverrides: {
                root: {
                    textTransform: 'none'
                }
            }
        }
    }
};
const WThemeProvider = ({ theme, children }) => {
    const mergedTheme = React.useMemo(() => {
        const merged = (0, lodash_1.merge)(defaultTheme, theme);
        const result = (0, styles_1.createTheme)(merged);
        return result;
    }, [theme]);
    return ((0, jsx_runtime_1.jsx)(styles_1.ThemeProvider, Object.assign({ theme: mergedTheme }, { children: children })));
};
exports.WThemeProvider = WThemeProvider;
__exportStar(require("./w-design-details"), exports);
__exportStar(require("./w-palette"), exports);
__exportStar(require("./w-theme"), exports);
