"use strict";
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.WTable = void 0;
const jsx_runtime_1 = require("react/jsx-runtime");
const material_table_1 = __importDefault(require("material-table"));
const w_paper_1 = require("../../layouts/w-paper");
const makeStyles_1 = __importDefault(require("@mui/styles/makeStyles"));
const styles_1 = require("@mui/styles");
const medias_1 = require("../../medias");
const useStyles = (0, makeStyles_1.default)((theme) => ({
    root: {
        margin: theme.spacing(),
        '& .MuiTablePagination-toolbar': {
            paddingLeft: 0,
            paddingRight: 0
        }
    }
}));
const WTable = (props) => {
    var _a, _b, _c, _d, _e;
    const classes = useStyles();
    const theme = (0, styles_1.useTheme)();
    const { style, id } = props, tableProps = __rest(props, ["style", "id"]);
    const extendedProps = Object.assign(Object.assign(Object.assign({}, (_a = theme.props) === null || _a === void 0 ? void 0 : _a.WTable), tableProps), { components: Object.assign(Object.assign({}, (((_b = theme.props) === null || _b === void 0 ? void 0 : _b.WTable) || {}).components), tableProps.components), icons: Object.assign(Object.assign({ Add: (props) => (0, jsx_runtime_1.jsx)(medias_1.WIcon, Object.assign({}, props, { icon: "add" })), Check: (props) => (0, jsx_runtime_1.jsx)(medias_1.WIcon, Object.assign({}, props, { icon: "check" })), Clear: (props) => (0, jsx_runtime_1.jsx)(medias_1.WIcon, Object.assign({}, props, { icon: "clear" })), Delete: (props) => (0, jsx_runtime_1.jsx)(medias_1.WIcon, Object.assign({}, props, { icon: "delete" })), DetailPanel: (props) => (0, jsx_runtime_1.jsx)(medias_1.WIcon, Object.assign({}, props, { icon: "chevron_right" })), Edit: (props) => (0, jsx_runtime_1.jsx)(medias_1.WIcon, Object.assign({}, props, { icon: "edit" })), Export: (props) => (0, jsx_runtime_1.jsx)(medias_1.WIcon, Object.assign({}, props, { icon: "export" })), Filter: (props) => (0, jsx_runtime_1.jsx)(medias_1.WIcon, Object.assign({}, props, { icon: "filter" })), FirstPage: (props) => (0, jsx_runtime_1.jsx)(medias_1.WIcon, Object.assign({}, props, { icon: "first_page" })), LastPage: (props) => (0, jsx_runtime_1.jsx)(medias_1.WIcon, Object.assign({}, props, { icon: "last_page" })), NextPage: (props) => (0, jsx_runtime_1.jsx)(medias_1.WIcon, Object.assign({}, props, { icon: "chevron_right" })), PreviousPage: (props) => (0, jsx_runtime_1.jsx)(medias_1.WIcon, Object.assign({}, props, { icon: "chevron_left" })), ResetSearch: (props) => (0, jsx_runtime_1.jsx)(medias_1.WIcon, Object.assign({}, props, { icon: "reset_search" })), Search: (props) => (0, jsx_runtime_1.jsx)(medias_1.WIcon, Object.assign({}, props, { icon: "search" })), SortArrow: (props) => (0, jsx_runtime_1.jsx)(medias_1.WIcon, Object.assign({}, props, { icon: "sort_arrow" })), ThirdStateCheck: (props) => (0, jsx_runtime_1.jsx)(medias_1.WIcon, Object.assign({}, props, { icon: "third_state_check" })), ViewColumn: (props) => (0, jsx_runtime_1.jsx)(medias_1.WIcon, Object.assign({}, props, { icon: "view_column" })) }, (((_c = theme.props) === null || _c === void 0 ? void 0 : _c.WTable) || {}).icons), tableProps.icons), localization: Object.assign(Object.assign({}, (((_d = theme.props) === null || _d === void 0 ? void 0 : _d.WTable) || {}).localization), tableProps.localization), options: Object.assign(Object.assign({}, (((_e = theme.props) === null || _e === void 0 ? void 0 : _e.WTable) || {}).options), tableProps.options) });
    return ((0, jsx_runtime_1.jsx)("div", Object.assign({ id: id, className: classes.root, style: style }, { children: (0, jsx_runtime_1.jsx)(material_table_1.default, Object.assign({}, extendedProps, { components: Object.assign({ Container: (props) => { var _a; return (0, jsx_runtime_1.jsx)(w_paper_1.WPaper, Object.assign({}, props, { elevation: (_a = theme.designDetails) === null || _a === void 0 ? void 0 : _a.defaultElevation })); } }, extendedProps.components) })) })));
};
exports.WTable = WTable;
