"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const jsx_runtime_1 = require("react/jsx-runtime");
// We have to provide a Promise polyfill if we're targeting older browsers
// because import() returns a promise which resolves once the module is loaded
require("reflect-metadata");
const react_1 = require("react");
// @ts-ignore
const queryString = __importStar(require("query-string"));
const components_1 = require("../../../components");
const store_1 = require("../../../store");
const WAppContent = () => {
    const { setQueryParams } = (0, store_1.useAppContext)();
    const configuration = (0, store_1.useConfiguration)();
    const parseQueryParams = (0, react_1.useCallback)(() => {
        const values = queryString.parse(window.location.search);
        setQueryParams(values);
    }, [setQueryParams]);
    (0, react_1.useEffect)(() => {
        var _a;
        parseQueryParams();
        if ((_a = configuration.hooks) === null || _a === void 0 ? void 0 : _a.onAppDidMount) {
            configuration.hooks.onAppDidMount();
        }
        return () => {
            var _a;
            if ((_a = configuration.hooks) === null || _a === void 0 ? void 0 : _a.onAppWillUnmount) {
                configuration.hooks.onAppWillUnmount();
            }
        };
    }, [parseQueryParams]);
    return ((0, jsx_runtime_1.jsx)(components_1.WThemeProvider, Object.assign({ theme: configuration.theme }, { children: (0, jsx_runtime_1.jsx)(components_1.WSnackbarProvider, Object.assign({ maxSnack: 3, anchorOrigin: { vertical: 'bottom', horizontal: 'left' }, autoHideDuration: 5000 }, { children: (0, jsx_runtime_1.jsx)(configuration.components.Container, {}) })) })));
};
const WApp = () => {
    var _a;
    const configuration = (0, store_1.useConfiguration)();
    return ((_a = configuration.wrapApp) === null || _a === void 0 ? void 0 : _a.call(configuration, (0, jsx_runtime_1.jsx)(WAppContent, {}))) || (0, jsx_runtime_1.jsx)(WAppContent, {});
};
exports.default = WApp;
