"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class MenuTreeUtil {
    static find(menuTree, id) {
        let result;
        ;
        this.menuTreeForEach(menuTree, item => {
            if (item.id == id) {
                result = item;
                return true;
            }
            return false;
        });
        // @ts-ignore
        return result;
    }
    static findByName(menuTree, screen) {
        let result;
        this.menuTreeForEach(menuTree, item => {
            if (item.screen == screen) {
                result = item;
                return true;
            }
            return false;
        });
        // @ts-ignore
        return result;
    }
    static menuTreeForEach(menuTree, callback) {
        for (let i = 0; i < menuTree.length; i++) {
            const item = menuTree[i];
            if (item.subNodes && item.subNodes.length > 0) {
                if (item.screen) {
                    if (callback(item)) {
                        break;
                    }
                }
                MenuTreeUtil.menuTreeForEach(item.subNodes, callback);
            }
            else {
                if (callback(item)) {
                    break;
                }
            }
        }
    }
    static findDefaultScreen(menuTree) {
        let result;
        ;
        this.menuTreeForEach(menuTree, item => {
            if (item.isDefaultScreen) {
                result = item;
                return true;
            }
            return false;
        });
        // @ts-ignore
        return result;
    }
}
exports.default = MenuTreeUtil;
